Back to LinkedIn
Apify·LinkedIn

Search LinkedIn Jobs

/harvestapi/linkedin-job-searchasync$0.0015 / result

Advanced LinkedIn Job Search Scraper. No cookies or account required. Concurrency + fast response times Runs as an Apify actor (20–120 s); results are dataset rows.

Charged per returned row plus the flat fee.

Input
FieldTypeRequiredDescription
jobTitlesarrayQueries to provide to LinkedIn job search. [It supports boolean operators](https://www.linkedin.com/help/linkedin/answer/a524335). We will run the scraper once for each query. All filters below will be applied to each query.
locationsarrayFilter by these LinkedIn locations. Example: `San Francisco`. LinkedIn does not always understand your text queries. For example for "UK" query it will apply "Ukraine" location, so you should use "United Kingdom" in this case. Try this out first in the location filter input of LinkedIn search at `ht
maxItemsintegerMaximum number of jobs to scrape per each job title and location input.
companyarrayFilter by these companies. Provide full URLs or company names to search in LinkedIn
workplaceTypearraySelect one or more applicable workplace types.
employmentTypearraySelect one or more applicable employment types.
experienceLevelarraySelect one or more applicable experience levels.
salaryarrayFilter by these salary ranges. Example: `100k+`
under10ApplicantsbooleanFilter jobs with under 10 applicants.
easyApplybooleanFilter jobs with LinkedIn easy apply option.
postedLimitstring (1h, 24h, week, month)Filter jobs posted in the last hour, 24 hours, week or month.
industryIdsarrayFilter Profiles by these LinkedIn industry IDs. Example: `4` for 'Software Development'. Full list: `https://github.com/HarvestAPI/linkedin-industry-codes-v2/blob/main/linkedin_industry_code_v2_all_eng_with_header.csv`
sortBystring (date, relevance)Sort the results by date or relevance.
geoIdsarrayFilter Jobs by these LinkedIn geo IDs. Example: `103644278`.
pageintegerPage number to start scraping from. Each page contains 25 jobs.
cookiestringYour LinkedIn cookies. You can export them via the browser extension [Cookie-Editor](https://chromewebstore.google.com/detail/cookie-editor/hlkenndednhfkekhgcdicdfddnkalmdm/).
userAgentstringUser agent to use for scraping. Copy your User Agent from https://www.whatismybrowser.com/detect/what-is-my-user-agent/ and paste it here.
proxystringProxy URL to use for scraping. If not provided, the actor will use its default proxy. For safe scraping, we recommend you to find and provide a clean residential proxy.

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"apify","endpoint":"/harvestapi/linkedin-job-search","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.